Skip to main content
API referenceSubnets

Subnet Serving By Network

Last updated

GET
/api/v1/{network}/subnets/{netuid}/serving

Network-addressed form of the route above. mainnet/finney return the same data as the unprefixed path; testnet/test return testnet data.

Path Parameters

network*string

Network to address. mainnet and finney are the same network, as are testnet and test.

Value in

  • "finney"
  • "mainnet"
  • "test"
  • "testnet"
netuid*integer
Range0 <= value

Query Parameters

window?string

Value in

  • "7d"
  • "30d"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/finney/subnets/0/serving"
{  "data": {    "announcements": 1,    "announcements_per_server": 0.5,    "distinct_servers": 1,    "netuid": 7,    "observed_at": "2026-06-01T00:00:00.000Z",    "schema_version": 1,    "window": "7d"  },  "meta": {    "artifact_path": "example",    "cache": "short",    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "pagination": {      "collection": "example",      "cursor": 1,      "limit": 1,      "next_cursor": 1,      "order": "asc",      "returned": 1,      "sort": "example",      "total": 1    },    "published_at": "2026-06-01T00:00:00.000Z",    "source": "live-cron-prober",    "stale_contract": {      "built_under": "example",      "live": "example"    }  },  "ok": true,  "schema_version": 1}